import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.08.2008
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private Spiel spiel;
  
  private JLabel jLabel1 = new JLabel();
  private JTextField jTextFieldAugen = new JTextField();
  private JLabel jLabel2 = new JLabel();
  private JTextField jTextFieldAugensumme = new JTextField();
  private JLabel jLabel3 = new JLabel();
  private JTextField jTextFieldAmZug = new JTextField();
  private JButton jButton1 = new JButton();
  private JLabel jLabel4 = new JLabel();
  private JTextField jTextFieldZielzahl = new JTextField();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 302;
    int frameHeight = 252;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(100, 100); // setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jLabel1.setBounds(24, 16, 64, 16);
    jLabel1.setText("Oben liegt:");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jTextFieldAugen.setBounds(112, 16, 41, 24);
    jTextFieldAugen.setText("1");
    cp.add(jTextFieldAugen);
    jLabel2.setBounds(24, 56, 86, 16);
    jLabel2.setText("Augensumme:");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);
    jTextFieldAugensumme.setBounds(128, 56, 49, 24);
    jTextFieldAugensumme.setText("0");
    cp.add(jTextFieldAugensumme);
    jLabel3.setBounds(24, 120, 46, 16);
    jLabel3.setText("dran ist:");
    jLabel3.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel3);
    jTextFieldAmZug.setBounds(96, 120, 89, 24);
    jTextFieldAmZug.setText("1");
    cp.add(jTextFieldAmZug);
    jButton1.setBounds(104, 168, 75, 25);
    jButton1.setText("Starten");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jLabel4.setBounds(192, 16, 49, 16);
    jLabel4.setText("Zielzahl:");
    jLabel4.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel4);
    jTextFieldZielzahl.setBounds(200, 64, 73, 24);
    jTextFieldZielzahl.setText("100");
    cp.add(jTextFieldZielzahl);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    // Start des Spiels
    spiel = new Spiel(Integer.parseInt(jTextFieldAugen.getText()),
                      Integer.parseInt(jTextFieldZielzahl.getText()),
                      Integer.parseInt(jTextFieldAmZug.getText()),
                      this);
    spiel.starten();
  }


  public void ausgabe(Position position)
  {
    jTextFieldAugen.setText(""+position.augen());
    jTextFieldAugensumme.setText(""+position.augenSumme());
    jTextFieldAmZug.setText(""+position.amZug());
    
  }
  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");

  }
}
