import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.08.2008
  * @author Daniel Garmann
  */

public class MenschSpieler extends Spieler {

  private SpielzugEingabe guiEingabe;
  private JFrame owner;
  
  public MenschSpieler(JFrame owner)
  {
    this.owner = owner;
  }
  public int spielzugMachen(Position position)
  {
     JTextField eingabe = new JTextField("0");
     Object[] message = new Object[2];
     message[0] = "Oben liegt: "+position.augen()+ "\nAugensumme: "+position.augenSumme()+"\nDrehen auf...";
     message[1] = eingabe;
     int zug = 0;
     do {
       int state = JOptionPane.showConfirmDialog(owner,message,"Spielerzug",JOptionPane.OK_CANCEL_OPTION,JOptionPane.QUESTION_MESSAGE);
       if (state == JOptionPane.OK_OPTION) {
          zug = Integer.parseInt(eingabe.getText());
       } else {
          zug = 0;
       }
     } while (zug == 0);
     
     return zug;
  }


}
